Modify preview configuration

PUT https://manage.kontent.ai/v2/projects/:environment_id/preview-configuration

Adjust the preview URLs configured for your environment.

Request Body

{"space_domains"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}], "preview_url_patterns"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}]}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: OK

{&quot;space_domains&quot;:[{&quot;space&quot;:{},&quot;domain&quot;:&quot;www.mysite1.com&quot;},{&quot;space&quot;:{},&quot;domain&quot;:&quot;www.mysite2.com&quot;}],&quot;preview_url_patterns&quot;:[{&quot;content_type&quot;:{},&quot;url_patterns&quot;:[{&quot;space&quot;:{},&quot;url_pattern&quot;:&quot;https://{Space}/{Lang}/articles/history/&quot;}]},{&quot;content_type&quot;:{},&quot;url_patterns&quot;:[{&quot;space&quot;:null,&quot;url_pattern&quot;:&quot;https://www.mysite1.com/{Lang}/articles/&quot;}]}]}